<!-- markdownlint-disable MD013 -->

# Look and Feel

1. User will 3 tmux windows only - neovim, terminal 1, terminal 2
2. First window will have neovim always running - nvim session restarts on close
3. Lazyvim will not check for updates. mason and lazy plugins versions will be locked
4. User specific files will be mounted on the container
5. User has access to shell

# Configuration Summary

| User Location                        | Host Location | attach mode | Mode | Attribute | Owner | Description              |
| ------------------------------------ | ------------- | ----------- | ---- | --------- | ----- | ------------------------ |
| /home/devuser/.gitconfig             | -             | mount       | 600  | +i        | user  | Git configuration file   |
| /opt/secure/ssh/config               | -             | copy        | 100  | +i        | root  | ssh config file          |
| /opt/secure/ssh/authorized_keys      | -             | mount       | 000  | +i        | root  | authorized keys file     |
| /opt/secure/ssh/ssh_blocker.sh       | -             | copy        | 100  | +i        | root  | ssh blocker shell script |
| /opt/secure/ssh/id_ed25519           | -             | mount       | 100  | +i        | root  | private shh key file     |
| /opt/secure/ssh/id_ed25519.pub       | -             | mount       | 100  | +i        | root  | public shh key file      |
| /home/devuser/lazygit/config.yml     | -             | copy        | 600  | +i        | user  | lazygit config file      |
| /home/devuser/.config/nvim           | -             | copy        | 600  | +i        | user  | neovim config files      |
| /home/devuser/.config/tmux           | -             | copy        | 600  | +i        | user  | tmux config files        |
| /home/devuser/.zshrc                 | -             | copy        | 600  | +i        | user  | zsh config file          |
| /home/devuser/.local/share/nvim/lazy | -             | generated   | 600  | +i        | user  | plugin files             |

# Firewall settings
